Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole
Interface TextPrinter

All Superinterfaces:
  javax.swing.Scrollable

All Known Implementing Classes:
  TextComponent

public interface TextPrinter
extends javax.swing.Scrollable

     Project ref           : JyConsole project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Define the interface of the text components.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Method Summary
`void` | `appendText(java.lang.String txt, java.lang.String styleName)`
`void` | `clearText()`
`javax.swing.ActionMap` | `getActionMap()`
`java.awt.Point` | `getCaretPositionPoint()`
`javax.swing.InputMap` | `getInputMap()`
`javax.swing.text.StyledDocument` | `getStyledDocument()`
`java.lang.String` | `getText()`
`void` | `setText(java.lang.String newTxt)`

Methods inherited from interface javax.swing.Scrollable
`getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement`

Method Detail

### appendText

    public void appendText(java.lang.String txt,
                           java.lang.String styleName)

### clearText

    public void clearText()

### setText

    public void setText(java.lang.String newTxt)

### getText

    public java.lang.String getText()

### getStyledDocument

    public javax.swing.text.StyledDocument getStyledDocument()

### getInputMap

    public javax.swing.InputMap getInputMap()

### getActionMap

    public javax.swing.ActionMap getActionMap()

### getCaretPositionPoint

    public java.awt.Point getCaretPositionPoint()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com